#ifndef INCLUDE_GUARD_TTM_H
#define INCLUDE_GUARD_TTM_H

#include "R_api.h"

/**
 * Tensor Times Matrix Subroutine
 * 
 * @attention Assumes all parameters to be correct!
 */
void ttm(
    /* options */   const int transB, const int mode,
    /*    dims */   const int* dimA, const int ordA, const int nrowB, const int ncolB,
    /*  scalar */   const double alpha,
    /*  tensor */   const double* A,
    /*  matrix */   const double* B, const int ldB,
    /*  scalar */   const double beta,
    /*  tensor */   double* C
);

#endif /* INCLUDE_GUARD_TTM_H */
